Subject: Re: [PATCH] SGI IA64 UV: fix ia64 build error in the linux-next tree

From: Dean Nelson <[email-masked]>
Date: Wed, 11 Feb 2009 13:33:19 -0600

On Wed, Feb 11, 2009 at 10:58:19AM -0800, Luck, Tony wrote:
> > What question was that? Folding back across that distance is not possible
> > in a Git workflow. I do regular cross-builds - the build bug did not trigger
> > with the ia64 defconfig.
> 
> I'm confused by this, as it definitely triggered for me.  Perhaps
> my build scripts do things a bit differently.  Essentially I do:
> 
>         $ for c in `ls arch/ia64/configs`
>         > do
>         >       cp arch/ia64/configs/$i .config
>         >       yes '' | make oldconfig
>         >       make
>         > done
> 
> Which takes the default answer for any new questions that crop
> up.  This enabled the GRU driver in the case of the generic_defconfig,
> and so the build failed because of the lack of asm/uv.h

It always triggers for me as well. I also use generic_defconfig and
request the default for any NEW questions.